Financial Indicators
curl --request POST \
--url https://api.explorium.ai/v1/businesses/financial_indicators/bulk_enrich \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"business_ids": [
"<string>"
],
"request_context": null
}
'import requests
url = "https://api.explorium.ai/v1/businesses/financial_indicators/bulk_enrich"
payload = {
"business_ids": ["<string>"],
"request_context": None
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({business_ids: ['<string>'], request_context: null})
};
fetch('https://api.explorium.ai/v1/businesses/financial_indicators/bulk_enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response_context": {
"correlation_id": "<string>",
"time_took_in_seconds": 123
},
"total_results": 123,
"data": [
{
"business_id": "<string>",
"data": {
"asset_turnover": 123,
"cagr": 123,
"cogs": 123,
"earnings_surprises": {},
"cash_and_cash_equivalents": 123,
"ebitda": 123,
"enterprise_value_over_ebitda": 123,
"leadership": [
{}
],
"peer_companies": {},
"price_earnings_ratio": 123,
"revenue_yearly": 123,
"roa": 123,
"roc": 123,
"sg_and_a": 123,
"tsr_1y": 123,
"tsr_3y": 123,
"tsr_5y": 123,
"working_capital": 123
}
}
],
"entity_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Bulk Businesses Enrichments
Financial metrics for public companies (Bulk)
POST
/
v1
/
businesses
/
financial_indicators
/
bulk_enrich
Financial Indicators
How It Works
How It Works
- Input: Provide a list of up to
50business_ids. - Processing: The system retrieves financial metrics data for all submitted businesses in a single request.
- Output: A structured response with key financial indicators.
Example Request (cURL)
Example Request (cURL)
Bash
accept: application/json' \
--header 'api_key: your_api_key_here' \
--header 'content-type: application/json' \
--data '{
"business_ids": [
"8adce3ca1cef0c986b22310e369a0793",
"a34bacf839b923770b2c360eefa26748"
]
}'
Best Practices
Best Practices
- Analyze revenue trends to assess financial stability.
- Compare profitability metrics to evaluate business performance.
- Monitor investment returns to track growth and market value.
Body Params - Try Me Example
business_ids: ["8adce3ca1cef0c986b22310e369a0793", "a34bacf839b923770b2c360eefa26748"]
Authorizations
APIKeyHeaderAPIKeyHeader
Body
application/json
Response
Successful Response
This is base response model for all responses in partner service.
Was this page helpful?
⌘I